#include <QApplication>
#include <QPainter>
#include <QPen>
#include <QWidget>

class TextRenderer : public QWidget
{
public:
    TextRenderer(QWidget *parent = 0)
        : QWidget(parent)
    {}

    void paintEvent(QPaintEvent *event)
    {
        Q_UNUSED(event)
        QPainter p(this);

        p.setPen(Qt::red); // <= red

        const QFont f1("Verdana");
        p.setFont(f1);
        p.drawText(0, 10, f1.family());

        const QFont f2("Segoe UI Emoji");
        p.setFont(f2);
        p.drawText(0, 30, f2.family());
    }
};

int main(int argc, char *argv[])
{
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication a(argc, argv);

    TextRenderer t;
    t.show();

    return a.exec();
}
